

object.prototype.toHTML = function(node) {
	var el = newEl('div', {
		className: 'object',
		innerHTML: '#'
	});
	node.appendChild(el);
	for (var i in this.messages) {
		this.messages[i].toHTML(el);
	}
};

lambda.prototype.toHTML = function(node) {
	var el = newEl('div', {
		className: 'lambda',
		textContent: this.args.join(' ')
	});
	node.appendChild(el);
};

assignment.prototype.toHTML = function(node) {
	var base = newEl('div', {
		className: 'assignment'
	});
	var varName = newEl('span', {
		textContent: this.symbol.name + ' <-'
	});
	base.appendChild(varName);
	node.appendChild(base);
	this.expression.toHTML(base);
};

intlit.prototype.toHTML = function(node) {
	node.appendChild('span', {
		className: 'integer',
		textContent: node.val
	});
};

floatlit.prototype.toHTML = function(node) {
	node.appendChild('span', {
		className: 'float',
		textContent: node.val
	});
};

strlit.prototype.toHTML = function(node) {
	node.appendChild('span', {
		className: 'string',
		textContent: node.val
	});
};

funcall.prototype.toHTML = function(node) {
};
